;INIT_START:


PMPFUNCTION(HIGH, "$1 >> 8")
PMPFUNCTION(LOW, "$1 & 0xFF")
PMPFUNCTION(BITS, "$1 >> 8")
PMPFUNCTION(SWAP, "(($1 >> 8) | ($1 << 8))")

PMP(#def, "HEAPTOP", SRAM_START)


PMPFUNCTION(MALLOC," 
 PMP(#def, $1, HEAPTOP)
 PMP(#def, \"HEAPTOP\", PMP(#eval, HEAPTOP + $2))
")

.equ WD_TIMEOUT_2s , 0b111  ; 2.1 s
.equ WD_TIMEOUT_1s , 0b110  ; 1.0 s
.equ WD_TIMEOUT_s5 , 0b101  ; 0.52 s  
.equ WD_TIMEOUT_s2 , 0b100  ; 0.26 s
.equ WD_TIMEOUT_s1 , 0b011  ; 0.13 s

.equ WD_DISABLE , 0


; *** INIT STACK ***
.macro INIT_STACK
   ldi     r16, HIGH(RAMEND)
   out     SPH, r16 
   ldi     r16, LOW(RAMEND)
   out     SPL, r16 
.endm

; *** INIT WATCHDOG ***
.macro INIT_WD timeout=0
   ldi     r16, 0b00010
   wdr
   in      r16, WDTCR   ; Write logical one to WDCE and WDE
   ori     r16, (1<<WDCE)|(1<<WDE)
   out     WDTCR, r16
.if \timeout
   ldi     r16, (1<<WDE) | \timeout ; max: 7 = 2.1sec
.else
   ldi     r16, (0<<WDE)     ; Turn off WDT (WDE=0)
.endif
   out     WDTCR, r16
.endm

;   rjmp CODE_START
