
.macro pushi val
 ldi	r16, \val
 push	r16
.endm

.macro call4 name, val1, val2, val3, val4
 pushi 	\val1
 pushi 	\val2
 pushi	\val3
 pushi	\val4
 rcall  \name
.endm

.macro call3 name, val1, val2, val3
 pushi 	\val1
 pushi 	\val2
 pushi	\val3
 rcall  \name
.endm

.macro call2 name, val1, val2
 pushi 	\val1
 pushi 	\val2
 rcall  \name
.endm

.macro call1 name, val1
 pushi 	\val1
 rcall  \name
.endm

.macro call0 name
 rcall \name
.endm


.macro call1r name, val1
 push 	\val1
 rcall  \name
.endm

.macro call2r name, val1, val2
 push 	\val1
 push 	\val2
 rcall  \name
.endm

.macro call3r name, val1, val2, val3
 push 	\val1
 push 	\val2
 push 	\val3
 rcall  \name
.endm

.macro callr name, val1=0, val2=0, val3=0, val4=0, val5=0, val6=0
.if \val1
 push 	\val1
.if \val2
 push 	\val2
.if \val3
 push 	\val3
.if \val4
 push 	\val4
.if \val5
 push 	\val5
.if \val6
 push 	\val6
.endif
.endif
.endif
.endif
.endif
.endif
 rcall  \name
.endm

.macro PROC name
\name:
 pop	r27    ; == macro enter
 pop	r26
.endm

.macro ENDPROC
 push	r26
 push	r27
 ret
.endm

; must be called before nested procedure call
.macro pushx
 push	r26
 push	r27
.endm

; must be called after nested procedure call
.macro popx
 pop	r27
 pop 	r26
.endm

;.macro ENTER    -- obsoleted by PROC
; pop	r27
; pop	r26
;.endm

;.macro LEAVE  -- obsoleted by ENDPROC
; push	r26
; push	r27
; ret
;.endm
