package pmp.gui;

/**
 * Constant strings for GUI. Frame titles, menu items, tab titles,...
 * <p>
 * Title: PMP: Macroprocessor
 * </p>
 * <p>
 * Description: Java macroprocessor
 * </p>
 * <p>
 * Copyright: Copyright (c) 2005
 * </p>
 * 
 * @author Lud\u011Bk Hlav\u00E1\u010Dek
 * @version 1.0
 */
public final class Const {

    private Const()
    {
        // hide constructor
    }

    public static final String TITLE_MAINFRAME = "PMP";

    public static final String TITLE_SETTINGS = "Settings";

    public static final String TITLE_HELP = "PMP Help";

    public static final String TITLE_MACROS = "Macros";

    public static final String MENUBAR_PROGRAM = "Program";

    public static final String MENU_RUN = "Run";

    public static final String MENU_SETTINGS = "Settings";

    public static final String MENU_QUIT = "Quit";

    public static final String MENU_CLOSE = "Close";

    public static final String MENUBAR_MACROS = "Macros";

    public static final String MENU_LOAD_DEF = "Load default configuration";

    public static final String MENU_LOAD_XML = "Load config file";

    public static final String MENU_RELOAD_MACROS = "Always reload macros";

    public static final String MENUBAR_OPTIONS = "Options";

    public static final String MENU_SHOW_ERROR_DIALOG = "Show error dialog";

    public static final String MENUBAR_HELP = "Help";

    public static final String MENU_ABOUT = "About";

    public static final String MENU_HELP = "User Guide";

    public static final String TAB_MACROS = "Macros";

    public static final String TAB_OUTPUT = "Errors";

    public static final String TAB_PROGRAM = "Program";

    public static final String BUTTON_OK = "Ok";

    public static final String BUTTON_CANCEL = "Cancel";

    public static final String BUTTON_CHANGE = "Change";

}
