package pmp.macro;

import pmp.AbstractMacro;
import pmp.Macroprocessor;

/**
 * Produces a error message. This will terminate macroprocessor.
 * <p>
 * Title: PMP: Macroprocessor
 * </p>
 * <p>
 * Description: Java macroprocessor
 * </p>
 * <p>
 * Copyright: Copyright (c) 2005
 * </p>
 * 
 * @author Lud\u011Bk Hlav\u00E1\u010Dek
 * @version 1.0
 */

public class Error extends AbstractMacro {

   public static final int PARAMS_REQUIRED = 1;

   @Override
   public String run(Macroprocessor mp, String[] args)
   {
      mp.error(args[1]);

      return "";
   }

}
