package pmp.macro;

import pmp.AbstractMacro;
import pmp.Macroprocessor;

/**
 * <p>Title: PMP: Macroprocessor</p>
 * <p>Description: Java macroprocessor</p>
 * <p>Copyright: Copyright (c) 2005</p>
 * 
 * @author Lud\u011Bk Hlav\u00E1\u010Dek
 * @version 1.0
 */

public class IfElse
    extends AbstractMacro {

  public static final int PARAMS_REQUIRED = 3;

  @Override
  public String run(Macroprocessor mp, String[] params)
  {
    if (params[1].length() > 0) {
      return params[2];
    }
    else {
      return params[3];
    }
  }
}