package pmp.macro;

import pmp.AbstractMacro;
import pmp.Macroprocessor;

/** Restores previous definition of macro.
 * <p>Title: PMP: Macroprocessor</p>
 * <p>Description: Java macroprocessor</p>
 * <p>Copyright: Copyright (c) 2005</p>
 * @author Lud\u011Bk Hlav\u00E1\u010Dek
 * @version 1.0
 * @see pmp.macro.Pushdef
 */

public class Popdef
    extends AbstractMacro {

  public static final int PARAMS_REQUIRED = 1;

  @Override
  public String run(Macroprocessor mp, String[] args)
  {

    AbstractMacro prev = mp.getMPMacros().popMacro(args[1]);
    if (prev != null) {
      //     return prev.toString(); -- do not print anything
    }

    return "";
  }

}