package pmp.macro.lex;

import pmp.AbstractMacro;
import pmp.Macroprocessor;

/**
 * Converts given string to Java-style string.
 * It's equivalent to macro CEncoder.
 * <p>
 * Title: PMP: Macroprocessor
 * </p>
 * <p>
 * Description: Java macroprocessor
 * </p>
 * <p>
 * Copyright: Copyright (c) 2005
 * </p>
 * 
 * @author Lud\u011Bk Hlav\u00E1\u010Dek
 * @version 1.0
 */

public class JavaEncoder extends AbstractMacro {

    public static final int PARAMS_REQUIRED = 1;

    @Override
    public String run(Macroprocessor mp, String[] args)
    {
        return Tools.convertToString(args[1]);
    }
}
