package pmp.macro.str;

import pmp.AbstractMacro;
import pmp.Macroprocessor;


/**
 * Returns length of given string.
 * <p>
 * Title: PMP: Macroprocessor
 * </p>
 * <p>
 * Description: Java macroprocessor
 * </p>
 * <p>
 * Copyright: Copyright (c) 2005
 * </p>
 * 
 * @author Lud\u011Bk Hlav\u00E1\u010Dek
 * @version 1.0
 */
public class Length extends AbstractMacro {

    public static final int PARAMS_REQUIRED = 1;
    
    @Override
    public String run(Macroprocessor mp, String[] args)
    {
        return String.valueOf(args[1].length());
    }

}
