package pmp.macro.str;

import pmp.AbstractMacro;
import pmp.Macroprocessor;


/**
 * Returns charcode of the first character in given string.
 * <p>
 * Title: PMP: Macroprocessor
 * </p>
 * <p>
 * Description: Java macroprocessor
 * </p>
 * <p>
 * Copyright: Copyright (c) 2005
 * </p>
 * 
 * @author Lud\u011Bk Hlav\u00E1\u010Dek
 * @version 1.0
 */
public class Ord extends AbstractMacro {

    public static final int PARAMS_REQUIRED = 1;

    @Override
    public String run(Macroprocessor mp, String[] args)
    {
        if (args[1].length() == 0) 
            return "";
        
        int c = args[1].codePointAt(0);

        return String.valueOf(c);
    }

}
