;TODO: add arg muxport
PROC ADC_INIT

    ; bits 7-6 REF -> 0 (AREF used)
    ; bit 5 ADLAR (Left Adjust Result) -> 1
    ;   upper 8 bits of result will be placed in ADCH
    ; bit 0..3 MUX -> 000 = ADC0
    ldi     r16, (1<<ADLAR)
    out     ADMUX, r16

    ; bit 7 ADEN (ADC ena.)
    ; bit 6 ADSC (start conv)
    ; bit 5 ADFR (free run)
    ; bit 3 ADIE (int enabled)
    ; bits 0-2 ADPSx (prescaler) 0x4 = 16
    ;; 1110 0100
    ldi     r16, (1<<ADEN)|(1<<ADSC)|(1<<ADFR)|(0<<ADIE)|(4<<ADPS0)
    out     ADCSRA, r16

ENDPROC

PROC ADC_INT_INIT
    ldi     r16, (1<<ADLAR)
    out     ADMUX, r16
    ldi     r16, (1<<ADEN)|(1<<ADSC)|(1<<ADFR)|(1<<ADIE)|(4<<ADPS0)
    out     ADCSRA, r16
ENDPROC



PROC ADC_READ

ADC_019:
; TODO: test this
    sbis    ADCSRA, ADIF ; wait for competion of ADC conversion 
    rjmp    ADC_019
    

    ;; lower 2bits of result (ADCL) are discard
    in      r16, ADCL ; in fact, this instruction is not required
    in      r16, ADCH

ENDPROC


