package pmp;

import java.util.EventListener;

/** 
 * Listener interface for notifications of macro list modifications.
 * <p>Title: PMP: Macroprocessor</p>
 * <p>Description: Java macroprocessor</p>
 * <p>Copyright: Copyright (c) 2005</p>
 * @author Lud\u011Bk Hlav\u00E1\u010Dek
 * @version 1.0
 */

public interface MacroListModifyListener
    extends EventListener {

	/**
	 * Method invoked on event.
	 * @param event
	 */
  public void macroListModified(MacroListModifyEvent event);

}
