package pmp.macro;

import pmp.AbstractMacro;
import pmp.Macroprocessor;

/**
 * Macro that creates user-defined macro.
 * <p>
 * Title: PMP: Macroprocessor
 * </p>
 * <p>
 * Description: Java macroprocessor
 * </p>
 * <p>
 * Copyright: Copyright (c) 2005
 * </p>
 * 
 * @author Lud\u011Bk Hlav\u00E1\u010Dek
 * @version 1.0
 */

public class Define extends AbstractMacro {

   public static final int PARAMS_REQUIRED = 2;

   @Override
   public String run(Macroprocessor mp, String[] args)
   {

      // DefinedMacro newmacro = new DefinedMacro(args[2]);
      mp.getMPMacros().setMacro(args[1], args[2]);

      /*
       * if (args[1].startsWith(getMP().pmpprefix)) { // notify parser // ->>
       * not req. macrolist will do it }//if
       */
      return "";
   }

}
