package pmp.macro;

import pmp.*;

/** Redirects output of macroprocessor to specified file.
 * <p>Title: PMP: Macroprocessor</p>
 * <p>Description: Java macroprocessor</p>
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * @author Lud\u011Bk Hlav\u00E1\u010Dek
 * @version 1.0
 */

public class Output
    extends AbstractMacro {

  public static final int PARAMS_REQUIRED = 1;

  @Override
  public String run(Macroprocessor mp, String[] args)
  {
    // set output
    mp.getMPIO().setOutput(args[1]);

    // write name of output into config directive "pmp:output"
    // !removed - "pmp:output.*" directives are set by InputOutput class
    // mp.getMPMacros().setMacro(cfg.forName(cfg.OUTPUT), args[1]);

    return "";
  }
}
