package pmp.macro;

import pmp.*;

/**
 * Sets new definition of macro and saves current one into stack.
 * <p>
 * Title: PMP: Macroprocessor
 * </p>
 * <p>
 * Description: Java macroprocessor
 * </p>
 * <p>
 * Copyright: Copyright (c) 2005
 * </p>
 * 
 * @author Lud\u011Bk Hlav\u00E1\u010Dek
 * @version 1.0
 * @see pmp.macro.Popdef
 */

public class Pushdef extends AbstractMacro {

   public static final int PARAMS_REQUIRED = 2;

   @Override
   public String run(Macroprocessor mp, String[] args)
   {

      DefinedMacro newmacro = new DefinedMacro(args[2]);
      mp.getMPMacros().pushMacro(args[1], newmacro);

      return "";
   }

}
