package pmp.macro.str;

import pmp.AbstractMacro;
import pmp.Macroprocessor;

/** 
 * Macro that returns reversed string.
 * <p>Title: PMP: Macroprocessor</p>
 * <p>Description: Java macroprocessor</p>
 * <p>Copyright: Copyright (c) 2005</p>

 * @author Lud\u011Bk Hlav\u00E1\u010Dek
 * @version 1.0
 */

public class Reverse
    extends AbstractMacro {

  public static final int PARAMS_REQUIRED = 1;

  @Override
  public String run(Macroprocessor mp, String[] params)
  {
    if (params.length < 2) {
      return "";
    }
    StringBuilder buf = new StringBuilder(params[1]);
    return buf.reverse().toString();
  }

}
